List trade outcomes
curl --request GET \
--url https://api.example.com/api/uat/v1/tradesimport requests
url = "https://api.example.com/api/uat/v1/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/uat/v1/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"outcome_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entry_time": "2023-11-07T05:31:56Z",
"exit_time": "2023-11-07T05:31:56Z",
"recorded_at": "2023-11-07T05:31:56Z",
"trade_status": "pending",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action_card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradestation_order_id": "<string>",
"symbol": "<string>",
"direction": "long",
"entry_price": "<string>",
"exit_price": "<string>",
"quantity": 123,
"pnl_dollars": "<string>",
"pnl_percent": "<string>",
"is_winner": true,
"hold_duration_m": 123,
"confluence_tier": "EXCELLENT",
"confluence_score": "<string>",
"day_type": "<string>",
"vix_regime": "<string>",
"account_tier": 123,
"outcome_source": "tradestation_api",
"net_confluence": "<string>",
"directional_bias": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}UAT Testing
List trade outcomes
List trade outcomes with optional filters.
GET
/
api
/
uat
/
v1
/
trades
List trade outcomes
Query Parameters
Trade lifecycle status.
Available options:
pending, closed, cancelled Required range:
1 <= x <= 500Required range:
x >= 0Response
Successful Response
Trade lifecycle status.
Available options:
pending, closed, cancelled Trade direction: long or short.
Available options:
long, short Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Confluence tier classification.
Available options:
EXCELLENT, GOOD, MODERATE, WEAK, POOR Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Source of trade outcome data.
Available options:
tradestation_api, manual_cli, journal_import Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$